package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel("供应商原料明细报价模型")
public class DrpQuoteAddDetailDTO {
   @ApiModelProperty("报价id")
   private Long quoteId;
   @ApiModelProperty("询价明细主键id")
   private Long inquiryDetailId;
   @ApiModelProperty("报价数量")
   private BigDecimal quoteNum;
   @ApiModelProperty("单价")
   private Integer singlePrice;
   @ApiModelProperty("总价")
   private Integer totalPrice;

   public Long getQuoteId() {
      return this.quoteId;
   }

   public Long getInquiryDetailId() {
      return this.inquiryDetailId;
   }

   public BigDecimal getQuoteNum() {
      return this.quoteNum;
   }

   public Integer getSinglePrice() {
      return this.singlePrice;
   }

   public Integer getTotalPrice() {
      return this.totalPrice;
   }

   public void setQuoteId(final Long quoteId) {
      this.quoteId = quoteId;
   }

   public void setInquiryDetailId(final Long inquiryDetailId) {
      this.inquiryDetailId = inquiryDetailId;
   }

   public void setQuoteNum(final BigDecimal quoteNum) {
      this.quoteNum = quoteNum;
   }

   public void setSinglePrice(final Integer singlePrice) {
      this.singlePrice = singlePrice;
   }

   public void setTotalPrice(final Integer totalPrice) {
      this.totalPrice = totalPrice;
   }


   public String toString() {
      Long var10000 = this.getQuoteId();
      return "DrpQuoteAddDetailDTO(quoteId=" + var10000 + ", inquiryDetailId=" + this.getInquiryDetailId() + ", quoteNum=" + String.valueOf(this.getQuoteNum()) + ", singlePrice=" + this.getSinglePrice() + ", totalPrice=" + this.getTotalPrice() + ")";
   }
}
